# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/dfghj/dfgh/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/dfghj/dfgh/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Dfghj\\Dfgh\\": "packages/dfghj/dfgh/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Dfghj\Dfgh\Providers\DfghServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Dfgh'  => Dfghj\Dfgh\Facades\Dfgh::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Dfghj\\DfghTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Dfghj\Dfgh\Providers\DfghServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Dfghj\Dfgh\Providers\DfghServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Dfghj\Dfgh\Providers\DfghServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/dfgh/{modulename}

**User**

    http://path-to-route-folder/user/dfgh/{modulename}

**Public**

    http://path-to-route-folder/dfghs


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/dfgh/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/dfgh/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/dfgh/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/dfgh/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/dfgh/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/dfgh/{modulename}/{slug}
    METHOD: GET